Bug 30212

Summary: Make Select2 available for ILL backend developers
Product: Koha Reporter: Tomás Cohen Arazi <tomascohen>
Component: TemplatesAssignee: Tomás Cohen Arazi <tomascohen>
Status: Pushed to oldoldstable --- QA Contact: Testopia <testopia>
Severity: enhancement    
Priority: P5 - low CC: andrewfh, katrin.fischer, kyle, martin.renvoize, victor, wainuiwitikapark
Version: master   
Hardware: All   
OS: All   
Change sponsored?: --- Patch complexity: ---
Documentation contact: Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00,21.11.05,21.05.15,20.11.19
Attachments: Bug 30212: Make Select2 available for ILL backends
Bug 30212: Make Select2 available for ILL backends

Description Tomás Cohen Arazi 2022-03-02 11:17:08 UTC
When you write a backend, you usually write some <action>.inc template files that are used to render forms, views, etc.

It would be great if 'select2.inc' was included on ill-requests.tt so backend authors can use it easily.
Comment 1 Tomás Cohen Arazi 2022-03-02 11:27:34 UTC
Created attachment 131238 [details] [review]
Bug 30212: Make Select2 available for ILL backends

This patch makes select2 available for ILL backend developers to use on
their templates.

To test:
1. Have a configured backed and an ILL request
2. Open the inspector and load any action on the backend (intranet)
=> FAIL: no select2 asset is transfered from Koha to the browser
3. Apply this patch
4. Reload
=> SUCCESS: There's select2
5. Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 2 Tomás Cohen Arazi 2022-03-02 11:35:15 UTC
This trivial patch can be cherry-picked down to 20.11 (at least).
Comment 3 Martin Renvoize 2022-03-03 16:35:32 UTC
Created attachment 131339 [details] [review]
Bug 30212: Make Select2 available for ILL backends

This patch makes select2 available for ILL backend developers to use on
their templates.

To test:
1. Have a configured backed and an ILL request
2. Open the inspector and load any action on the backend (intranet)
=> FAIL: no select2 asset is transfered from Koha to the browser
3. Apply this patch
4. Reload
=> SUCCESS: There's select2
5. Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2022-03-03 16:35:48 UTC
Super trivial, works, PQA
Comment 5 Fridolin Somers 2022-03-17 21:23:56 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 6 Kyle M Hall 2022-03-25 13:27:27 UTC
Pushed to 21.11.x for 21.11.05
Comment 7 Andrew Fuerste-Henry 2022-05-10 12:24:05 UTC
Pushed to 21.05.x for 21.05.15
Comment 8 Victor Grousset/tuxayo 2022-05-10 18:55:58 UTC
Backported: Pushed to 20.11.x branch for 20.11.19
Comment 9 wainuiwitikapark 2022-05-18 22:52:41 UTC
Does this need to be backported to 19.11.x?